/*
EvaluateScript("hitbox.js");
//Please notice: (x,y) is the center of the bullet's "hitbox", a circle at the 'tip' of the bullet.
function Bullet(x,y,r,speed) //eightpoints only...
{
	this.x=x;
	this.y=y;
	this.r=r;
	this.speed=speed;
}

function Bullet.prototype.fly = function()
{
	this.x+=speed.x;
	this.y+=speed.y;
};
*/
function bulletOnDestroy()
{
	var name = GetCurrentPerson();
	var index;
	for (var i = 0; i < bullets.length; i++)
	{
		if (bullets[i] == name)
		{
			index = i; break;
		}
	}
	bullets.splice(i,1);
}
function bulletOnIdle()
{
	var name = GetCurrentPerson();
	var x = GetPersonX(name);
	var y = GetPersonY(name);
	var dir = GetPersonAngle(name);
	var spd = GetPersonValue(name, "speed");
	
	//move and Check for collision; if collision with a plant or rabbit, damage and destroy.
	var newx = Math.round(x + spd*Math.cos(dir));
	var newy = Math.round(y - spd*Math.sin(dir));
	var diffx = x - newx ; if (diffx < 0) diffx *= -1;
	var diffy = y - newy ; if (diffy < 0) diffy *= -1;
	var hitx = -1;
	var hity = -1;
	var hitsomething = false;
	
	
	for (var i = 0; i < diffy; i++)
	{
		if (y < newy)
		{
			hitsomething = !movedown(name) || hitsomething;
			if (hitsomething)
			{
				hitx = GetPersonX(name); hity = GetPersonY(name) + 2;
				break;
			}
		}
		else
		{
			hitsomething = !moveup(name) || hitsomething;
			if (hitsomething)
			{
				hitx = GetPersonX(name); hity = GetPersonY(name) - 2;
				break;
			}
		}
		//if (hitsomething) break;
	}
	
	if (!hitsomething)
	{
		for (var i = 0; i < diffx; i++)
		{
			if (x < newx)
			{
				hitsomething = !moveright(name) || hitsomething;
				if (hitsomething)
				{
					hity = GetPersonY(name); hitx = GetPersonX(name) + 2;
					break;
				}
			}
			else
			{
				hitsomething = !moveleft(name) || hitsomething;
				if (hitsomething)
				{
					hity = GetPersonY(name); hitx = GetPersonX(name)-2;
					break;
				}
			}
			//if (hitsomething) break;
		}
	}
	//all movement complete.
	QueuePersonCommand(name, COMMAND_WAIT, false);
	//if hit something...
	if (hitsomething)
	{
		var hitperson = GetObstructingPerson(name, hitx, hity);
		if (hitperson != "")
		{
			var data = GetPersonData(name);
			var pow = data["power"];
			hitPerson(hitperson, pow);
			//var hdata = GetPersonData(hitperson);
			//hdata["health"] -= pow;
			//SetPersonData(hitperson, hdata);
			//DestroyPerson(name);
		}
		else
		{
			//var hittile = GetObstructingTile(name, hitx, hity);
			//timer = new Timer();
			//var font = GetSystemFont();
			//font.drawTxt(0,75,num.valueOf());
			//day = hittile;
			if (getPlant(hitx, hity)!= "")
			{
				var font = GetSystemFont();
				font.drawText(0, 75, "a");
				var hplant = getPlant(hitx, hity);
				hitPlant(hplant, GetPersonValue(name, "power"));
			}
		}
		DestroyPerson(name);
	}
}
