var numevents;
var day;
var plantscopy;
var holescopy;
var lastrabbit;
var dmaxhealth;
var dcourage;
var dspeed;
var dinterval;
var maxrabbits;
var numdrabbits;
var numframes;
var message;
var canend;
function timecheck()
{
	if (!paused)
	{
		numframes++;
		for (var i = 0; i < plants.length; i++)
		{
			
			
			hitPlant(plants[i], 0.005);
		}
	}
	/*
	if (numevents < 1)
	{
		makePlant (900, 900, 2, "weed");
		makePlant(1200, 900, 2, "tomato");
		makeHole(350,350);
		numevents++;
	}
	if (timer.getMilliseconds() > 1000 && numevents < 2)
	{
		makeRabbit (380, 380, 5, 1, 2);
		numevents++;
	}*/
	if (numevents < 1)
	{
		switch (day)
		{
			case 1:
				initiateGarden();
				setdvals();
				//saveConfig();
				break;
			default:
				loadConfig();
				//saveConfig();
				setdvals();
				//loadConfig();
		}
		//greet(day);
		numevents++;
	}
	else if (lastrabbit > 0) lastrabbit --;
	else if (numframes > 1200 && numdrabbits > 0 && rabbits.length < maxrabbits && lastrabbit <= 0)
	{
		var hole = holes[Math.floor(Math.random() * holes.length)];
		makeRabbit(hole.x, hole.y, dmaxhealth, dcourage, dspeed);
		message = "Shoot rabbits with z! Don't hurt the plants!"
		lastrabbit = dinterval;
		numdrabbits --;
	}
	if (numframes > 5000)
	{
		message = "Harvest plants with x!";
		for (var i = 0; i < plants.length; i++)
		{
			plants[i].ripe = true;
		}
	}
	if (plants.length==0)
	{
		message= "All plants are harvested! Go back to house!";
		canend = true;
	}
}
function saveConfig()
{
	plantscopy = plants.slice();
	holescopy = holes.slice();
}
function loadConfig()
{
	for (var i = plants.length - 1; i >= 0; i--)
	{
		hitPlant(i, 4099);
	}
	plants = [];
	//plants = plantscopy.slice();
	for (var i = 0; i < plantscopy.length; i++)
	{
		var temp = plantscopy[i];
		makePlant(temp.x,temp.y,temp.maxhealth,temp.type);
		plants[i].health = temp.health;
	}
}
function initiateGarden()
{
	makePlant(625, 525, 10, "cabbage");
	makePlant(725, 525, 10, "cabbage");
	makePlant(825, 525, 10, "cabbage");
	makePlant(925, 525, 10, "cabbage");
	makePlant(1025, 525, 10, "cabbage");
	makePlant(625, 625, 10, "potato");
	makePlant(725, 625, 10, "potato");
	makePlant(825, 625, 10, "potato");
  makePlant(925, 625, 10, "potato");
	makePlant(1025, 625, 10, "potato");
	makePlant(625, 725, 10, "tomato");
	makePlant(825, 725, 10, "tomato");
	makePlant(1025, 725, 10, "tomato");
	makePlant(725, 725, 10, "carrot");
	makePlant(925, 725, 10, "carrot");
	message = "Water plants with x to keep them alive and healthy!";
}
function setdvals()
{
	switch(day)
	{
		case 1:
			lastrabbit = 0;
			maxrabbits = 3;
			dmaxhealth = 2;
			dcourage = 0.1;
			dspeed = 1;
			dinterval = 500;
			makeHole(400,400);
			makeHole(1175,400);
			makeHole(1175, 1025);
			makeHole(400, 1025);
			numdrabbits = 999;
			numevents = 0;
			break;
		default:
			lastrabbit = 0;
			
			maxrabbits = 2;
			dmaxhealth = 15;
			dcourage = 0.1;
			dspeed = 1;
			dinterval = 15000;
			numdrabbits = 3;
			break;
	}
		
}
function renderHUD()
{
	//Images above, others below. Mess with gamma.`
	
	HUD1.blit(0,0);
	HUD2.blit(0, 600-75);
	for (var i = 0; i < rabbits.length; i++)
	{
		var name = rabbits[i];
		var rx = MapToScreenX(GetPersonLayer(name),GetPersonX(name) - 27);
		var ry = MapToScreenY(GetPersonLayer(name),GetPersonY(name) - 15);
		var health = GetPersonValue(name, "health");
		var mh = GetPersonValue(name, "maxhealth");
		if (health < mh)
		{
			blitHBar(rx, ry, 50, 4, GetPersonValue(name, "health"), GetPersonValue(name, "maxhealth"), 1);
		}
	}
	for (var i = 0; i < plants.length; i++)
	{
		var plant = plants[i];
		var rx = MapToScreenX(1, plant.x - 25);
		var ry = MapToScreenY(1, plant.y-25);
		if (plant.health < plant.maxhealth)
		{
			blitHBar(rx, ry, 50, 4, plant.health, plant.maxhealth, 1);
		}
	}
	//Stambar below granny.
	var gx = MapToScreenX(GetPersonLayer("Granny"),GetPersonX("Granny")) - 25;
	var gy = MapToScreenY(GetPersonLayer("Granny"),GetPersonY("Granny")) + 37;
	var font = GetSystemFont();
	var num = new Number(numframes);
	var num1 = new Number(day);
	var num2 = new Number(numdrabbits);
	font.drawZoomedText(0, 550,2.0, message );
	font.drawZoomedText(0, 0, 3.0,"Time: " + num.valueOf() );
	font.drawZoomedText(200, 0, 3.0,"Day: "+ num1.valueOf());
	font.drawZoomedText(400, 0, 3.0, "Rabbits Left: " + num2.valueOf());
	blitSBar(gx, gy, 50, 5, 1);
}

function blitHBar(x, y, w, h, health, maxhealth, thickness)
{
	OutlinedRectangle(x,y,w,h,CreateColor(0,0,0,255),thickness);
	Rectangle(x+thickness, y+thickness, (w-2 * thickness) * health / maxhealth, h-2 * thickness, CreateColor(255, 0, 0, 255));
}

function blitSBar(x, y, w, h, thickness)
{
	OutlinedRectangle(x,y,w,h,CreateColor(0,0,0,255),thickness);
	Rectangle(x+thickness, y+thickness, (w-2*thickness) * stamina/ maxstam, h-2 * thickness, CreateColor(255, 255, 0, 255));
}