var leftflag;
var rightflag;
var downflag;
var upflag;
var shiftflag;
var zflag;
var whichtool;
var isgun;
var animdelay;
//var stamina;
function moveup(name)
{
	QueuePersonCommand(name, COMMAND_FACE_NORTH, true);
	if (!IsPersonObstructed(name, GetPersonX(name), GetPersonY(name) - 1))
	{
		QueuePersonCommand(name, COMMAND_MOVE_NORTH, true);
		return true;
	}
	else
	{
		QueuePersonCommand(name, COMMAND_WAIT, true);
		return false;
	}
}
function movedown(name)
{
	QueuePersonCommand(name, COMMAND_FACE_SOUTH, true);
	if (!IsPersonObstructed(name, GetPersonX(name), GetPersonY(name) + 1))
	{
		QueuePersonCommand(name, COMMAND_MOVE_SOUTH, true);
		return true;
	}
	else
	{
		QueuePersonCommand(name, COMMAND_WAIT, true);
		return false;
	}
}
function moveleft(name)
{
	QueuePersonCommand(name, COMMAND_FACE_WEST, true);
	if (!IsPersonObstructed(name, GetPersonX(name) - 1, GetPersonY(name)))
	{
		QueuePersonCommand(name, COMMAND_MOVE_WEST, true);
		return true;
	}
	else
	{
		QueuePersonCommand(name, COMMAND_WAIT, true);
		return false;
	}
}
function moveright(name)
{
	QueuePersonCommand(name, COMMAND_FACE_EAST, true);
	if (!IsPersonObstructed(name, GetPersonX(name) + 1, GetPersonY(name)))
	{
		QueuePersonCommand(name, COMMAND_MOVE_EAST, true);
		return true;
	}
	else
	{
		QueuePersonCommand(name, COMMAND_WAIT, true);
		return false;
	}
}

function initializeControl()
{
	leftflag = false;
	rightflag = false;
	upflag = false;
	downflag = false;
	shiftflag = false;
	zflag = false;
	xflag = false;
	paused = false;
	BindKey (KEY_UP, "upflag = true;", "upflag = false;");
	BindKey (KEY_DOWN, "downflag = true;", "downflag = false;");
	BindKey (KEY_RIGHT, "rightflag = true;", "rightflag = false;");
	BindKey (KEY_LEFT, "leftflag = true;", "leftflag = false;");
	BindKey (KEY_SHIFT, "shiftflag = true;", "shiftflag = false;");
	BindKey (KEY_Z, "zflag = true;","");
	BindKey (KEY_X, "xflag = true;","");
	BindKey (KEY_ENTER, "pause()", "");
}
function pause()
{
	if (IsInputAttached())
	{
		SetPersonDirection(GetInputPerson(), "paused");
		timer.pause();
		paused = true;
		DetachInput();
	}
	else
	{
		paused = false;
		timer.unpause();
		AttachInput("Granny");
	}
}
function useStam(n)
{
	if (stamina >= n)
	{
		stamina -= n;
		return true;
	}
	else return false;
}
function movePlayer()
{
	if (!shiftflag)
	{
		if (stamina <= maxstam) stamina++;
	}
	advance = true;
	speed = (shiftflag && useStam(0.5)) ? 5 : 3;
	isvert = (upflag ? !downflag : downflag);
	ishoriz = (leftflag ? !rightflag : rightflag);
	isdiag = isvert && ishoriz;
	if (isdiag) speed *= Math.sqrt(0.5) ;
	speed = Math.round(speed);
	var name;
	if (IsInputAttached() && animdelay > 0)
	{
		name = GetInputPerson();
		animdelay--;
		//day = animdelay;
		QueuePersonCommand(name, COMMAND_ANIMATE, false);
	}
	else if (IsInputAttached())
	{
		//gunsound.stop();
		name = GetInputPerson();
		var dir = GetPersonDirection(name);
		switch (dir)
		{
			case "shootingnorth":
			case "kneelnorth":
			case "waternorth":
				SetPersonDirection(name, "north"); break;
			case "shootingeast":
			case "kneeleast":
			case "watereast":
				SetPersonDirection(name, "east"); break;
			case "shootingwest":
			case "kneelwest":
			case "waterwest":
				SetPersonDirection(name, "west"); break;
			case "shootingsouth":
			case "kneelsouth":
			case "shootingsouth":
				SetPersonDirection(name, "south"); break;
			case "paused":
			//default:
				SetPersonDirection(name, "west"); break;
		}
		var moved = false;
		if (xflag)
		{
			xflag = false;
			//moved = true;
			var px = GetPersonX(name);
			var py = GetPersonY(name);
			switch (dir)
			{
				case "north":
					if (isPlant(GetObstructingTile(name,px, py - 5)))
					{
						//SetPersonDirection(name, "kneelnorth");
						//animdelay = 30;
						tendTo(getPlant(px, py-5), "north");
					}
					break;
				case "northeast":
				case "east":
				case "southeast":
					if (isPlant(GetObstructingTile(name,px + 5, py)))
					{
						//SetPersonDirection(name, "kneeleast");
						//animdelay = 30;
						tendTo(getPlant(px+5, py), "east");
					}
					break;
				case "south":
					if (isPlant(GetObstructingTile(name,px, py + 5)))
					{
						//SetPersonDirection(name, "kneelsouth");
						//animdelay = 30;
						tendTo(getPlant(px, py+5), "south");
					}
					break;
				case "southwest":
				case "west":
				case "northwest":
				 if (isPlant(GetObstructingTile(name,px - 5, py)))
				 {
						//SetPersonDirection(name, "kneelwest");
						//animdelay = 30;
						tendTo(getPlant(px-5, py), "west");
				 }
				 break;
			}
			QueuePersonCommand(name, COMMAND_ANIMATE, true);
		}
		else if (zflag)
		{
			zflag = false;
			var newdir1;
			switch(GetPersonDirection(name))
			{
				case "north":
					newdir1 = "north"; break;
				case "northeast":
				case "east":
				case "southeast":
					newdir1 = "east"; break;
				case "south":
					newdir1 = "south"; break;
				case "southwest":
				case "west":
				case "northwest":
					newdir1 = "west"; break;
				default:
					newdir1 = "";
			}
			if (newdir1 != "")
			{
				SetPersonDirection(name, "shooting" + newdir1);
				//SetPersonFrame(name, 0);
				animdelay = 30;
				QueuePersonCommand(name, COMMAND_ANIMATE, true);
				shootgun(name, newdir1);
			}
		}
		else
		{
			if (upflag && !downflag)
			{
				for (var i = 0; i < speed; i++)
				{
					moved = moveup(name) || moved;
				}
			}

			else if (downflag && !upflag)
			{
				for (var i = 0; i < speed; i++)
				{
					moved = movedown(name) || moved;
				}
			}

			if (rightflag && !leftflag)
			{
				for (var i = 0; i < speed; i++)
				{
					moved = moveright(name) || moved;
				}
			}

			else if (leftflag && !rightflag)
			{
				for (var i = 0; i < speed; i++)
				{
					moved = moveleft(name) || moved;
				}
			}
		}
		//QueuePersonCommand(name, COMMAND_WAIT, false);
		//day = GetPersonFrame(name);
		if (!moved) standstill(name);
	}
}
function shootgun(name, dir)
{
	
	var angle;
	var offsetx;
	var offsety;
	switch (dir)
	{
		case "east":
			angle = 0; offsetx = 40; offsety = -5; break;
		case "west":
			angle = Math.PI; offsetx = -40; offsety = -5; break;
		case "north":
			angle =  Math.PI / 2; offsetx = 0; offsety = -57; break;
		case "south":
			angle = -1 *Math.PI / 2; offsetx = 0; offsety = 37; break;
	}
	gunsound.play();
	makeBullet(GetPersonX(name) + offsetx, GetPersonY(name) + offsety, angle, 6, 6);
}
function tendTo(plant, dir)
{
	if (plant.type == "weed")
	{
		SetPersonDirection("Granny", "kneel" + dir);
		animdelay = 30;
		hitPlant(plant, 255);
	}
	else if (plant.ripe)
	{
		SetPersonDirection("Granny", "kneel" + dir);
		animdelay = 30;
		harvest(plant);
	}
	else if (!plant.watered)
	{
		SetPersonDirection("Granny", "water" + dir);
		animdelay = 30;
		plant.health += 5
		//plant.watered = true;
	}
	
}
function harvest(plant)
{
	var points = 0;
	switch (plant.type)
	{
		case "tomato":
		case "potato":
			points = 3000; break;
		case "cabbage":
			points = 1000; break;
		case "carrot":
			points = 5000; break;
	}
	score += points;
	hitPlant(plant, 255);
	
}